MIX_DestroyAudio(3)

NAME
MIX_DestroyAudio - Destroy the specified audio.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

void MIX_DestroyAudio(MIX_Audio *audio);

DESCRIPTION

MIX_Audio is reference-counted internally, so this function only unrefs it. If doing so causes the reference count to drop to zero, the MIX_Audio will be deallocated. This allows the system to safely operate if the audio is still assigned to a MIX_Track at the time of destruction. The actual destroying will happen when the track stops using it.

But from the caller's perspective, once this function is called, it should assume the audio pointer has become invalid.

Destroying a NULL MIX_Audio is a legal no-op.

FUNCTION PARAMETERS

audio
    the audio to destroy.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.